Help us shape the future of Go! Take the 2026 Go Developer Survey

endpoints

package
v0.15.0 Latest Latest
Warning

This package is not in the latest version of its module.

Go to latest
Published: Mar 22, 2022 License: MIT Imports: 4 Imported by: 0

Documentation

Index

Constants

This section is empty.

Variables

This section is empty.

Functions

This section is empty.

Types

type EndpointsRequestBuilder

type EndpointsRequestBuilder struct {
	// contains filtered or unexported fields
}

EndpointsRequestBuilder provides operations to manage the endpoints property of the microsoft.graph.printService entity.

func NewEndpointsRequestBuilder

NewEndpointsRequestBuilder instantiates a new EndpointsRequestBuilder and sets the default values.

func NewEndpointsRequestBuilderInternal

func NewEndpointsRequestBuilderInternal(pathParameters map[string]string, requestAdapter ida96af0f171bb75f894a4013a6b3146a4397c58f11adb81a2b7cbea9314783a9.RequestAdapter) *EndpointsRequestBuilder

NewEndpointsRequestBuilderInternal instantiates a new EndpointsRequestBuilder and sets the default values.

func (*EndpointsRequestBuilder) CreateGetRequestInformation

CreateGetRequestInformation endpoints that can be used to access the service. Read-only. Nullable.

func (*EndpointsRequestBuilder) CreatePostRequestInformation

CreatePostRequestInformation create new navigation property to endpoints for print

func (*EndpointsRequestBuilder) Get

Get endpoints that can be used to access the service. Read-only. Nullable.

func (*EndpointsRequestBuilder) Post

Post create new navigation property to endpoints for print

type EndpointsRequestBuilderGetOptions

type EndpointsRequestBuilderGetOptions struct {
	// Request headers
	H map[string]string
	// Request options
	O []ida96af0f171bb75f894a4013a6b3146a4397c58f11adb81a2b7cbea9314783a9.RequestOption
	// Request query parameters
	Q *EndpointsRequestBuilderGetQueryParameters
	// Response handler to use in place of the default response handling provided by the core service
	ResponseHandler ida96af0f171bb75f894a4013a6b3146a4397c58f11adb81a2b7cbea9314783a9.ResponseHandler
}

EndpointsRequestBuilderGetOptions options for Get

type EndpointsRequestBuilderGetQueryParameters

type EndpointsRequestBuilderGetQueryParameters struct {
	// Include count of items
	Count *bool
	// Expand related entities
	Expand []string
	// Filter items by property values
	Filter *string
	// Order items by property values
	Orderby []string
	// Search items by search phrases
	Search *string
	// Select properties to be returned
	Select []string
	// Skip the first n items
	Skip *int32
	// Show only the first n items
	Top *int32
}

EndpointsRequestBuilderGetQueryParameters endpoints that can be used to access the service. Read-only. Nullable.

type EndpointsRequestBuilderPostOptions

type EndpointsRequestBuilderPostOptions struct {
	//
	Body i4a838ef194e4c99e9f2c63ba10dab9cb120a89367c1d4ab0daa63bb424e20d87.PrintServiceEndpointable
	// Request headers
	H map[string]string
	// Request options
	O []ida96af0f171bb75f894a4013a6b3146a4397c58f11adb81a2b7cbea9314783a9.RequestOption
	// Response handler to use in place of the default response handling provided by the core service
	ResponseHandler ida96af0f171bb75f894a4013a6b3146a4397c58f11adb81a2b7cbea9314783a9.ResponseHandler
}

EndpointsRequestBuilderPostOptions options for Post

Directories

Path Synopsis

Jump to

Keyboard shortcuts

? : This menu
/ : Search site
f or F : Jump to
y or Y : Canonical URL